> This page is for Alfa (Preview).

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alfa.boosted.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.alfa.boosted.ai/_mcp/server.

# Get Artifact

GET https://sandbox.api.boosted.ai/v2/threads/{thread_id}/artifacts/{artifact_id}

Get an artifact (table, graph, etc.) from a thread.

This endpoint retrieves a specific artifact that was generated during a conversation in the thread.
Artifacts can include tables, graphs, charts, or other structured data outputs. The endpoint
returns the artifact data along with its ID.

Useful for accessing structured outputs that were created during the conversation, such as
data visualizations or formatted tables extracted from the AI's responses.

Reference: https://docs.alfa.boosted.ai/alfa-preview/threads-api/reference/threads/get-artifact-v-2-threads-thread-id-artifacts-artifact-id-get

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 access token obtained via token exchange.

## Request

### Path parameters

- `thread_id` (string, required)
- `artifact_id` (string, required)

## Response

### 200

Successful Response

- `artifact_id` (string, required)
- `artifact` (GetThreadArtifactResponseArtifact, required)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### GetThreadArtifactResponseArtifact

- TextOutput: TextOutput
- GraphOutput: GraphOutput
- TableOutput: TableOutput

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### TextOutput

- `val` (string, required)
- `output_type` ("text", optional)
- `title` (string, optional, default: )
- `citations` (list of TextOutputCitationsItems, optional)
- `score` (any, optional, nullable)
- `resolved_text_objects` (boolean, optional, default: false)

### GraphOutput

- `graph` (GraphOutputGraph, required)
- `output_type` ("graph", optional)
- `title` (string, optional, default: )
- `citations` (list of GraphOutputCitationsItems, optional)

### TableOutput

- `rows` (list of list of TableOutputRowsItemsItems, required)
- `output_type` ("table", optional)
- `title` (string, optional, default: )
- `citations` (list of TableOutputCitationsItems, optional)
- `columns` (list of TableOutputColumn, optional)
- `pagination_size` (integer, optional, nullable)
- `support_transpose` (boolean, optional, default: false)
- `chart_config` (ChartConfig, optional, nullable)

### ValidationErrorLocItems

- string
- integer

### TextOutputCitationsItems

- NewsDevelopmentCitation: NewsDevelopmentCitationOutput
- WebCitation: WebCitationOutput
- DocumentCitation: DocumentCitationOutput

### GraphOutputGraph

- `graph_type`: `bar` (bar)
- `graph_type`: `line` (line)
- `graph_type`: `pie` (pie)

### GraphOutputCitationsItems

- NewsDevelopmentCitation: NewsDevelopmentCitationOutput
- WebCitation: WebCitationOutput
- DocumentCitation: DocumentCitationOutput

### TableOutputRowsItemsItems

- StockMetadata: StockMetadata
- any
- string
- integer
- boolean
- double
- date
- datetime

### TableOutputCitationsItems

- NewsDevelopmentCitation: NewsDevelopmentCitationOutput
- WebCitation: WebCitationOutput
- DocumentCitation: DocumentCitationOutput

### TableOutputColumn

Column metadata necessary for the frontend.

- `name` (string, required)
- `col_type` (enum, required)
  - Allowed values: `integer`, `string`, `float`, `boolean`, `integer_with_unit`, `float_with_unit`, `currency`, `date`, `datetime`, `quarter`, `year`, `month`, `percent`, `delta`, `pct_delta`, `stock`, `score`, `any`
- `unit` (string, optional, nullable)
- `is_highlighted` (boolean, optional, default: false)
- `citation_refs` (list of CitationIDWithRow, optional)
- `display_name` (string, optional, nullable)
- `is_visible` (boolean, optional, default: true)
- `original_order` (integer, optional, nullable)

### ChartConfig

- TimeseriesChartConfig: TimeseriesChartConfig
- CategoricalChartConfig: CategoricalChartConfig

### NewsDevelopmentCitationOutput

- `citation_type` (enum, required, default: news_development)
  - Allowed values: `news_development`
- `name` (string, required)
- `citation_id` (string, optional)
- `source_category` (string, optional, nullable)
- `inline_offset` (integer, optional, nullable)
- `summary` (string, optional, nullable)
- `last_updated_at` (datetime, optional, nullable)
- `is_snippet` (boolean, optional, default: false)
- `num_articles` (integer, optional, nullable)
- `development_start` (datetime, optional, nullable)

### WebCitationOutput

- `citation_type` (enum, required, default: web)
  - Allowed values: `web`
- `name` (string, required)
- `citation_id` (string, optional)
- `source_category` (string, optional, nullable)
- `inline_offset` (integer, optional, nullable)
- `summary` (string, optional, nullable)
- `last_updated_at` (datetime, optional, nullable)
- `is_snippet` (boolean, optional, default: false)
- `link` (string, optional, nullable)
- `last_fetched_at` (datetime, optional, nullable)
- `snippet_highlight_start` (integer, optional, nullable)
- `snippet_highlight_end` (integer, optional, nullable)
- `source_type` (string, optional, nullable)

### DocumentCitationOutput

- `citation_type` (enum, required)
  - Allowed values: `news_development`, `web`, `text`
- `name` (string, required)
- `citation_id` (string, optional)
- `source_category` (string, optional, nullable)
- `inline_offset` (integer, optional, nullable)
- `summary` (string, optional, nullable)
- `last_updated_at` (datetime, optional, nullable)
- `is_snippet` (boolean, optional, default: true)
- `snippet_highlight_start` (integer, optional, nullable)
- `snippet_highlight_end` (integer, optional, nullable)

### StockMetadata

- `gbi_id` (integer, required)
- `symbol` (string, optional, nullable)
- `company_name` (string, optional, default: )
- `isin` (string, optional, default: )
- `sector` (string, optional, nullable)
- `subindustry` (string, optional, nullable)
- `exchange` (string, optional, nullable)
- `security_type` (string, optional, nullable)
- `currency` (string, optional, nullable)
- `display_symbol` (string, optional, nullable)

### CitationIDWithRow

- `cit_id` (string, required)
- `row_index` (integer, optional, nullable)

### TimeseriesChartConfig

- `time_col` (ColReference, required)
- `value_col` (ColReference, required)
- `kind` ("timeseries", optional)
- `dataset_col` (ColReference, optional, nullable) — Each unique value in the dataset col will be a separate data series on the chart.

### CategoricalChartConfig

- `category_col` (ColReference, required) — Categorical column defining the labels of the e.g. bars or slices.
- `kind` ("categorical", optional)
- `value_col` (ColReference, optional, nullable) — Numeric column defining the raw size/value of each category; if omitted, counts are used.
- `share_col` (ColReference, optional, nullable) — Optional column containing proportion values (0-1 range) representing each category's relative share of the whole. Values are relative to the total and should sum to 1.0 (or 100 if in 0-100 range).
- `group_col` (ColReference, optional, nullable) — Optional column defining subgroups/series for each category (e.g., stacked or grouped bars).

### ColReference

- `col_label` (string, required)
- `col_type` (enum, required)
  - Allowed values: `integer`, `string`, `float`, `boolean`, `integer_with_unit`, `float_with_unit`, `currency`, `date`, `datetime`, `quarter`, `year`, `month`, `percent`, `delta`, `pct_delta`, `stock`, `score`, `any`
- `unit` (string, optional, nullable)

## Examples

**Response**

```json
{
  "artifact_id": "string",
  "artifact": {
    "output_type": "text",
    "title": "",
    "citations": [
      {
        "citation_id": "string",
        "citation_type": "news_development",
        "source_category": "string",
        "name": "string",
        "inline_offset": 1,
        "summary": "string",
        "last_updated_at": "2024-01-15T09:30:00Z",
        "is_snippet": false,
        "num_articles": 1,
        "development_start": "2024-01-15T09:30:00Z"
      }
    ],
    "val": "string",
    "resolved_text_objects": false
  }
}
```

**SDK Code**

```python
import requests

url = "https://sandbox.api.boosted.ai/v2/threads/thread_id/artifacts/artifact_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://sandbox.api.boosted.ai/v2/threads/thread_id/artifacts/artifact_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.api.boosted.ai/v2/threads/thread_id/artifacts/artifact_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://sandbox.api.boosted.ai/v2/threads/thread_id/artifacts/artifact_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://sandbox.api.boosted.ai/v2/threads/thread_id/artifacts/artifact_id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://sandbox.api.boosted.ai/v2/threads/thread_id/artifacts/artifact_id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://sandbox.api.boosted.ai/v2/threads/thread_id/artifacts/artifact_id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.api.boosted.ai/v2/threads/thread_id/artifacts/artifact_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```